package com.bc_chat.bc_base.contract

import com.bc_chat.bc_base.entity.User
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：用户信息
 */
interface UserInfoContract {

    interface Presenter {

        fun userInfoTask(cuid: String, isShowDialog: Boolean? = true)
    }

    interface View : BaseContract.BaseView {

        fun userInfoSuccess(user: User?)

        fun userInfoFailure(e: Exception)


    }
}
